| HOpenGL Libraries (OpenGL package) | Contents | Index

Graphics.Rendering.OpenGL.GL.DisplayLists

Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de

Contents

Defining Display Lists
Calling Display Lists
Deprecated Functions

Description
This module corresponds to section 5.4 (Display Lists) of the OpenGL 1.5 specs.
Synopsis

newtype DisplayList = DisplayList GLuint

data ListMode

= Compile
| CompileAndExecute

defineList :: DisplayList -> ListMode -> IO a -> IO a
defineNewList :: ListMode -> IO a -> IO DisplayList
listIndex :: GettableStateVar (Maybe DisplayList)
listMode :: GettableStateVar ListMode
maxListNesting :: GettableStateVar GLsizei
callList :: DisplayList -> IO ()
callLists :: GLsizei -> DataType -> Ptr a -> IO ()
listBase :: StateVar DisplayList
genLists :: GLsizei -> IO [DisplayList]
deleteLists :: [DisplayList] -> IO ()
isList :: DisplayList -> IO Bool

Defining Display Lists
newtype DisplayList

Constructors

DisplayList GLuint |

Instances

Eq DisplayList
ObjectName DisplayList
Ord DisplayList
Show DisplayList

data ListMode

Constructors

Compile |
CompileAndExecute |

Instances

Eq ListMode
Ord ListMode
Show ListMode

defineList :: DisplayList -> ListMode -> IO a -> IO a
defineNewList :: ListMode -> IO a -> IO DisplayList
listIndex :: GettableStateVar (Maybe DisplayList)
listMode :: GettableStateVar ListMode
maxListNesting :: GettableStateVar GLsizei
Calling Display Lists
callList :: DisplayList -> IO ()
callLists :: GLsizei -> DataType -> Ptr a -> IO ()
listBase :: StateVar DisplayList
Deprecated Functions
genLists :: GLsizei -> IO [DisplayList]
deleteLists :: [DisplayList] -> IO ()
isList :: DisplayList -> IO Bool
Produced by Haddock version 0.7